Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Trader_Factory Class Reference

Uses command line arguments to construct a trader instance with the correct interface support, locking, and policy settings. More...

`#include <Trader.h>`

List of all members.

## Public Types
typedef TAO_Trader_Base | TAO_TRADER
## Static Public Methods
TAO_TRADER * | create_trader (int &argc, ACE_TCHAR **argv)
| Creates an instance of the trader according to parameters whose default values can be overrided with the following command line arguments:. More...
## Protected Methods
| TAO_Trader_Factory (int &argc, ACE_TCHAR **argv)
## Private Types
enum | Conformance { TAO_TRADER_QUERY, TAO_TRADER_SIMPLE, TAO_TRADER_STANDALONE, TAO_TRADER_LINKED }
## Private Methods
TAO_TRADER * | manufacture_trader (void)
void | parse_args (int &argc, ACE_TCHAR **argv)
TAO_Trader_Factory & | operator= (const TAO_Trader_Factory &)
| TAO_Trader_Factory (const TAO_Trader_Factory &)
## Private Attributes
Conformance | conformance_
CORBA::Boolean | threadsafe_
CORBA::Boolean | supports_dynamic_properties_
CORBA::Boolean | supports_modifiable_properties_
CORBA::ULong | def_search_card_
CORBA::ULong | max_search_card_
CORBA::ULong | def_match_card_
CORBA::ULong | max_match_card_
CORBA::ULong | def_return_card_
CORBA::ULong | max_return_card_
CORBA::ULong | def_hop_count_
CORBA::ULong | max_hop_count_
CosTrading::FollowOption | def_follow_policy_
CosTrading::FollowOption | max_follow_policy_

## Detailed Description

Uses command line arguments to construct a trader instance with the correct interface support, locking, and policy settings.

## Member Typedef Documentation

typedef TAO_Trader_Base TAO_Trader_Factory::TAO_TRADER

## Member Enumeration Documentation

enum TAO_Trader_Factory::Conformance`[private]`

  | Enumeration values:
  TAO_TRADER_QUERY |
  TAO_TRADER_SIMPLE |
  TAO_TRADER_STANDALONE |
  TAO_TRADER_LINKED |

## Constructor & Destructor Documentation

TAO_Trader_Factory::TAO_Trader_Factory | ( | int & | argc,
|  | ACE_TCHAR ** | argv
| ) | `[protected]`

TAO_Trader_Factory::TAO_Trader_Factory | ( | const TAO_Trader_Factory & |  | ) | `[private]`

## Member Function Documentation

TAO_Trader_Factory::TAO_TRADER * TAO_Trader_Factory::create_trader | ( | int & | argc,
|  | ACE_TCHAR ** | argv
| ) | `[static]`

| Creates an instance of the trader according to parameters whose default values can be overrided with the following command line arguments:. -TSthreadsafe, default is not thread-safe -TSconformance {query, simple, stand-alone, linked}, default is linked -TSsupports_dynamic_properties {true, false}, default is true -TSsupports_modifiable_propertise {true, false}, default is true -TSdef_search_card {integer}, default is 20 -TSmax_search_card {integer}, default is 50 -TSdef_match_card {integer}, default is 20 -TSmax_match_card {integer}, default is 50 -TSdef_return_card {integer}, default is 20 -TSmax_return_card {integer}, default is 50 -TSdef_hop_count {integer}, default is 5, -TSmax_hop_count {integer}, default is 10 -TSdef_follow_policy {always,if_no_local,local_only}, default is if_no_local, -TSmax_follow_policy {always,if_no_local,local_only}, default is always

TAO_Trader_Factory::TAO_TRADER * TAO_Trader_Factory::manufacture_trader | ( | void |  | ) | `[private]`

TAO_Trader_Factory& TAO_Trader_Factory::operator= | ( | const TAO_Trader_Factory & |  | ) | `[private]`

void TAO_Trader_Factory::parse_args | ( | int & | argc,
|  | ACE_TCHAR ** | argv
| ) | `[private]`

## Member Data Documentation

Conformance TAO_Trader_Factory::conformance_`[private]`

CosTrading::FollowOption TAO_Trader_Factory::def_follow_policy_`[private]`

CORBA::ULong TAO_Trader_Factory::def_hop_count_`[private]`

CORBA::ULong TAO_Trader_Factory::def_match_card_`[private]`

CORBA::ULong TAO_Trader_Factory::def_return_card_`[private]`

CORBA::ULong TAO_Trader_Factory::def_search_card_`[private]`

CosTrading::FollowOption TAO_Trader_Factory::max_follow_policy_`[private]`

CORBA::ULong TAO_Trader_Factory::max_hop_count_`[private]`

CORBA::ULong TAO_Trader_Factory::max_match_card_`[private]`

CORBA::ULong TAO_Trader_Factory::max_return_card_`[private]`

CORBA::ULong TAO_Trader_Factory::max_search_card_`[private]`

CORBA::Boolean TAO_Trader_Factory::supports_dynamic_properties_`[private]`

CORBA::Boolean TAO_Trader_Factory::supports_modifiable_properties_`[private]`

CORBA::Boolean TAO_Trader_Factory::threadsafe_`[private]`

The documentation for this class was generated from the following files:

- Trader.h
- Trader.cpp